Skip to main content
`Ctrl`+`K`

# PetscDSGetWeakForm

Returns the weak form object

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetWeakForm(PetscDS ds, PetscWeakForm *wf)

Not Collective

## Input Parameter

- ds - The `PetscDS` object

## Output Parameter

- wf - The weak form object

## See Also

`PetscWeakForm`, `PetscDSSetWeakForm()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

## Examples

src/ts/tutorials/ex76.c
src/snes/tutorials/ex17.c
src/snes/tutorials/ex23.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages